OID reference

alarmActiveResourceId

1.3.6.1.2.1.118.1.2.2.1.10

Description

This object identifies the resource under alarm. If there is no corresponding resource, then the value of this object MUST be 0.0.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.2.1.118.1.2.2.1 (alarmActiveEntry)
Node code
10
Node names
  • alarmActiveResourceId
  • alarmActiveVariables
Category
SNMP management object
Numeric OID
1.3.6.1.2.1.118.1.2.2.1.10
URN notation
urn:oid:1.3.6.1.2.1.118.1.2.2.1.10
Type
OBJECT-TYPE
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 2 1 118 1 2 2 1 10}

  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) mib-2(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveResourceId(10)}
  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) mib-2(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveVariables(10)}
  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) mib(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveResourceId(10)}
  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) mib(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveVariables(10)}
  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) stdmib-2(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveResourceId(10)}
  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) stdmib-2(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveVariables(10)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) mib-2(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveResourceId(10)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) mib-2(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveVariables(10)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) mib(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveResourceId(10)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) mib(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveVariables(10)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) stdmib-2(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveResourceId(10)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) stdmib-2(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveVariables(10)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) mgmt(2) mib-2(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveResourceId(10)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) mgmt(2) mib-2(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveVariables(10)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) mgmt(2) mib(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveResourceId(10)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) mgmt(2) mib(1) alarmMIB(118) alarmObjects(1) alarmActive(2) alarmActiveTable(2) alarmActiveEntry(1) alarmActiveVariables(10)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/2/1/118/1/2/2/1/10
  • /ISO/Identified-Organization/6/1/2/1/118/1/2/2/1/10
  • /ISO/3/6/1/2/1/118/1/2/2/1/10
Named path variants
  • /iso/identified-organization/dod/internet/mgmt/mib-2/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveResourceId
  • /iso/identified-organization/dod/internet/mgmt/mib-2/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveVariables
  • /iso/identified-organization/dod/internet/mgmt/mib/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveResourceId
  • /iso/identified-organization/dod/internet/mgmt/mib/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveVariables
  • /iso/identified-organization/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveResourceId
  • /iso/identified-organization/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveVariables
  • /iso/identified-organization/dod/internet/mgmt/stdmib-2/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveResourceId
  • /iso/identified-organization/dod/internet/mgmt/stdmib-2/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveVariables
  • /iso/org/dod/internet/mgmt/mib-2/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveResourceId
  • /iso/org/dod/internet/mgmt/mib-2/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveVariables
  • /iso/org/dod/internet/mgmt/mib/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveResourceId
  • /iso/org/dod/internet/mgmt/mib/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveVariables
  • /iso/org/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveResourceId
  • /iso/org/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveVariables
  • /iso/org/dod/internet/mgmt/stdmib-2/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveResourceId
  • /iso/org/dod/internet/mgmt/stdmib-2/alarmMIB/alarmObjects/alarmActive/alarmActiveTable/alarmActiveEntry/alarmActiveVariables
  • Additional combinations skipped.

SNMP properties

Value type
ResourceId
Maximum access defined by MIB
read-only
Status in MIB
current

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

Meaning

Descriptions

2 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

Description 1

This object identifies the resource under alarm. If there is no corresponding resource, then the value of this object MUST be 0.0.
Original text from OID Repository
alarmActiveResourceId OBJECT-TYPE
SYNTAX ResourceId
MAX-ACCESS read-only
STATUS current
DESCRIPTION
"This object identifies the resource under alarm.
If there is no corresponding resource, then
the value of this object MUST be 0.0."
Sources for this description

OID Repository

View at oid-base.com
Automatically extracted from RFC3877

Circitor

Parsed from ALARM-MIB.mib · ALARM-MIB

Source file: Download ALARM-MIB.txt · Publisher's file

Vendor MIB copy from the Netdisco archive.

Source file: Download ALARM-MIB · Publisher's file

Vendor MIB copy from the LibreNMS archive.

Source file: Download ALARM-MIB · Publisher's file

Vendor MIB copy from the Observium Community archive.

Related source files and packages:

Source file: Download alarmmib.txt · Publisher's file Junos OS Evolved 26.2R1

Other official packages with the same file

Junos OS 26.2R1

Source file: Download RFC 3877 · Publisher's file · RFC errata

Source file: Download ALARM-MIB.mib

Source file: Download rfc3877-Alarm.mib-1.txt

Description 2

The number of variables in alarmActiveVariableTable for this
alarm. Also, the number of varbinds for the notification
associated with this alarm state.
Sources for this description

MIBdepot

Historical records

Additional source information

Information from MIBdepot
alarmActiveVariables OBJECT-TYPE
      SYNTAX      Unsigned32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
          "The number of variables in alarmActiveVariableTable for this
          alarm. Also, the number of varbinds for the notification
          associated with this alarm state."
      ::= { alarmActiveEntry 10 }
Information from Circitor
alarmActiveResourceId    OBJECT-TYPE
   SYNTAX      ResourceId
   MAX-ACCESS  read-only
   STATUS      current
   DESCRIPTION
      "This object identifies the resource under alarm.

      If there is no corresponding resource, then
      the value of this object MUST be 0.0."
   ::= { alarmActiveEntry 10 }

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6)

Defense Communication Agency

Current Registration Authority (inferred from ancestor 1.3.6.1.2)

Internet Assigned Numbers Authority

Siblings (15)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.2.1.118.1.2.2.1.1 alarmListName00 The name of the list of alarms. This SHOULD be the same as
nlmLogName if the Notification Log MIB [RFC3014] is supported.
This S…
1.3.6.1.2.1.118.1.2.2.1.2 alarmActiveDateAndTime, alarmActiveTimeFilter00 The local date and time when the error occurred.

This object facilitates retrieving all instances of



alarms that have been raised…
1.3.6.1.2.1.118.1.2.2.1.3 alarmActiveIndex00 A strictly monotonically increasing integer which
acts as the index of entries within the named alarm
list. It wraps back to 1 a…
1.3.6.1.2.1.118.1.2.2.1.4 alarmActiveEngineID, alarmActiveTime00 The identification of the SNMP engine at which the alarm
originated. If the alarm is from an SNMPv1 system this
object is a zero…
1.3.6.1.2.1.118.1.2.2.1.5 alarmActiveEngineAddressType, alarmActiveDateAndTime00 This object indicates what type of address is stored in
the alarmActiveEngineAddress object - IPv4, IPv6, DNS, etc.
1.3.6.1.2.1.118.1.2.2.1.6 alarmActiveEngineAddress, alarmActiveEngineID00 The address of the SNMP engine on which the alarm is
occurring.

This object MUST always be instantiated, even if the list
can cont…
1.3.6.1.2.1.118.1.2.2.1.7 alarmActiveContextName, alarmActiveEngineAddressType00 The name of the SNMP MIB context from which the alarm came.
For SNMPv1 alarms this is the community string from the Trap.
Note th…
1.3.6.1.2.1.118.1.2.2.1.8 alarmActiveVariables, alarmActiveEngineAddress00 The number of variables in alarmActiveVariableTable for this
alarm.
1.3.6.1.2.1.118.1.2.2.1.9 alarmActiveNotificationID, alarmActiveContextName00 The NOTIFICATION-TYPE object identifier of the alarm
state transition that is occurring.
1.3.6.1.2.1.118.1.2.2.1.11 alarmActiveDescription, alarmActiveNotificationID00 This object provides a textual description of the
active alarm. This text is generated dynamically by the
notification generator…
1.3.6.1.2.1.118.1.2.2.1.12 alarmActiveLogPointer, alarmActiveResourceType00 A pointer to the corresponding row in a
notification logging MIB where the state change
notification for this active alarm is log…
1.3.6.1.2.1.118.1.2.2.1.13 alarmActiveModelPointer, alarmActiveResourceId00 A pointer to the corresponding row in the
alarmModelTable for this active alarm. This
points not only to the alarm model being
in…
1.3.6.1.2.1.118.1.2.2.1.14 alarmActiveSpecificPointer, alarmActiveLogIndex00 If no additional, model-specific, Alarm MIB is supported by
the system this object is `0.0'. When a model-specific Alarm
MIB is …
1.3.6.1.2.1.118.1.2.2.1.15 alarmActiveModelPointer00 A pointer to the corresponding row in the
alarmModelTable for this active alarm.
1.3.6.1.2.1.118.1.2.2.1.16 alarmActiveSpecificPointer00 If no additional, model-specific, Alarm MIB is supported by the
system this object is `0.0'. When a model-specific Alarm MIB is
s…